# Generated by Django 4.1.7 on 2023-03-04 16:14

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('dashboard', '0001_initial'),
        ('announcementboard', '0001_initial'),
    ]

    operations = [
        migrations.AlterField(
            model_name='announcement',
            name='author',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='announcements', to='dashboard.widgetuser'),
        ),
        migrations.AlterField(
            model_name='announcement',
            name='pub_datetime',
            field=models.DateTimeField(verbose_name='Posted On'),
        ),
        migrations.AlterField(
            model_name='reaction',
            name='announcement',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reacts', to='announcementboard.announcement'),
        ),
        migrations.AlterField(
            model_name='reaction',
            name='name',
            field=models.CharField(choices=[('Like', 'Like'), ('Love', 'Love'), ('Angry', 'Angry')], max_length=255),
        ),
        migrations.AlterField(
            model_name='reaction',
            name='tally',
            field=models.IntegerField(default=0),
        ),
    ]
